Create Campaign Placements

📘

URL: POST /api/v1/placements

Request Body

FieldDescriptionTypeRequiredPossible Values / Notes
campaignIdThe ID of the campaign to which the placements applyintegerYA valid campaign ID
placementsList of placement objects to include/exclude for the campaignarrayYArray of objects with placement (string) and status (included / excluded)

Placement object (items in placements)

FieldDescriptionTypeRequiredPossible Values
placementName of the placement (e.g., Item Buybox, Search Carousel)stringYAny placement name supported by Walmart placement feature
statusWhether to include or exclude the placement for the campaignstringYincluded, `excluded

Headers

HeaderDescription
AuthorizationBearer <auth_token> — Bearer token used to authorize the API request.
acceptRecommended: application/json
WM_SEC.AUTH_SIGNATUREWalmart authentication signature
WM_SEC.KEY_VERSIONVersion of the key used to generate the signature
WM_CONSUMER.IDConsumer ID issued during onboarding
WM_CONSUMER.intimestampUnix timestamp (seconds) when the request was generated
Content-Typeapplication/json (request body is JSON array of objects)

Sample Request

curl -X POST \ 'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/placements' \ --header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \ --header 'Content-Type: application/json' \ --header 'WM_SEC.AUTH_SIGNATURE: **************' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \ --header 'WM_CONSUMER.intimestamp: 1565309779' \ --data-raw '[ { "campaignId": 600001, "placements": [ { "placement": "Item Buybox", "status": "included" }, { "placement": "Search Carousel", "status": "excluded" } ] } ]'

Response

FieldDescriptionType
codeOperation result codestring
detailsHuman-readable details (errors or success hints)string
campaignIdCampaign id this response row refers tointeger

Sample Response

[ { "code": "success", "details": "Placements updated successfully", "campaignId": 600001 }
]